function y=Beta_opt(u);

% Le jour J = jour de l'anne est fix par l'initialisation

% ATTENTION: la variable u est un angle en rd

beta=u;

% Les calculs se font dans XnYnZn, en supposant le satellite stabilis quasi-inertiel

% Us est l'unitaire soleil
% Up est l'unitaire panneaux

global H jour periode_orbitale inclinaison rayon_orbital vitesse_rotation Pmax ang temps_eclipse

% *****************************  Calcul de Us  ****************************

teta=15*(12-H)*pi/180;                                        % Longitude nodale du soleil ( / Xn ), en radians

delta=23.45*sin(2*pi/365*(284+jour))*pi/180;                  % Dclinaison en radians formule de Fletcher

Us=[cos(delta)*cos(teta) cos(delta)*sin(teta) sin(delta)];    % Us en axes XnYnZn

% ****************************  Calcul de Up  *****************************

Up=[sin(ang)*sin(beta)
      -cos(ang)*sin(inclinaison)+sin(ang)*cos(beta)*cos(inclinaison)
              cos(ang)*cos(inclinaison)+sin(ang)*cos(beta)*sin(inclinaison)];

% **************************  Calcul de la fonction  optimiser ****************

% temps_eclipse=Teclipse(jour) a t calcul avant et transmis en variable globale
% pour ne pas ralentir le programme de balayage des angles beta

puissance=Pmax*(periode_orbitale-temps_eclipse)/periode_orbitale*Us*Up;

y=puissance;

end