function y=PrecPuis(u);

% Fonction qui calcule la puissance instantane des panneaux, suivant leur inclinaison note ang

% En entre le vecteur unitaire de la direction du soleil
% temps u(1)
% S=Us=[Sx Sy Sz]=u(2:4) --> u(2)=Sx   u(3)=Sy    u(4)=Sz

global Pmax temps_energie ang

tps=u(1);


% Produit scalaire de la normale panneaux et de la direction Us du soleil

pp=-cos(ang)*u(3)-sin(ang)*u(4);

pp=pp*(tps>temps_energie);     % Rcupration aprs la mise en spin


if pp<0                 % Ceci pour prvenir une incidence < 0. Seule les puissances > 0 sont rcupres

  pp=0;

end

y=Pmax*pp;

end