function y=cpl_magn(u);

global Ir It Il rotation_orbitale coeff Kr Kt Kl temps

% Composantes de la rotation
p=u(1);q=u(2);r=u(3);

% normalisation du quaternion d'entre
v=u(4:7)/norm(u(4:7));

% Composantes du quaternion
q0=v(1);q1=v(2);q2=v(3);q3=v(4);

% Donnes inertielles et constantes orbitales
% Ir=u(8);It=u(9);Il=u(10);

% Donnes particulires

w0=rotation_orbitale;

% Matrice de  passage  l'aide du quaternion v

Pmat=passage(v);

% Temps de la simulation

tps=temps;

% Champ magnetique en axes XYZ (repre orbital)

BX=coeff*cos(w0*tps);
BY=0;
BZ=-2*coeff*sin(w0*tps);

% CHAMP MAGNETIQUE EN AXES SATELLITE

B=Pmat*[BX BY BZ]';
Bx=B(1);By=B(2);Bz=B(3);

B=[Bx By Bz];


% ************* Couple magnto-coupleurs **************

matB=[-Bx^2 0 Bx*Bz;0 -Bx^2-Bz^2 0;Bx*Bz By*Bz -Bx^2]/norm(B);

% Moment magntique command

% Rotation relative

rot=[p-w0*Pmat(2,1);q-w0*Pmat(2,2);r-w0*Pmat(3,2)];

% moment=Kg*rot;

moment=[Kr*rot(1);Kt*rot(2);Kl*rot(3)];

% couple_magnto coupleurs

couple_magn=matB*moment;

% y=couple_magn;

y=couple_magn;