
 
%                       PROGRAMME DE SYNTHESE DES DONNEES ET DE CERTAINS RESULTATS 


global temps Ir It Il Irl Itl Irt Asat etat_init vitesse_rotation altitude points_trace tau vitesse_angul_mini

global vitesse_angul_mini0 angle_mini_mod_fin rotation_initiale J jroue vitesseroue K_tumbling memoire switch1

global couple_max_roue mom_max_bobine instant_injection initpqrQ periode_pulse temps_action periode non_pulse T Ta

global gain_pour_essai



disp('      *************** PRINCIPALES DONNEES DE LA SIMULATION ***************')
disp('         Nanosatellite nanolaur/regboux7.m initialise par laurdat0.m')
disp('                                     ou');
disp('         Nanosatellite nanolaur/nanosim3.m initialise par nanosat0.m');
disp('                                     ou');
disp('         Nanosatellite nanolaur/nanosim0.m initialise par nanosat0.m');
disp('                                     ou');
disp('         Nanosatellite synthese/synthese.m initialise par betaSdat.m');
disp('                                     ou');
disp('         Nanosatellite synthese/synthesT.m initialise par betaSdat.m');
disp('                      ------------------------------------')
disp('     ***********************************************************************')
disp(' ')

disp([ '     ' 'Latitude d''injection = ' num2str(latitude_injection*180/pi) ' ' ]) 

disp([ '     ' 'Heure d''injection = ' num2str(instant_injection) ' s' '    Avec rappel convention  --> Heure =0 s au survol quateur']) 

%load B_point.mat;

temps_fin_tumbling=temps(length(temps)); 

duree_tumbling=temps_fin_tumbling-instant_injection;

disp([ '     Heure de fin de Tumbling = ' num2str(temps_fin_tumbling) ' s, soit ' num2str(duree_tumbling) ' s, aprs l''injection' ]) 

disp(' ')

disp('     ---------------------  RESPECT DES SPECIFICATIONS  ------------------------')

disp([ '     ' 'Moment magntique maximum bobine = ' num2str(mom_max_bobine) ' Am']) 

disp([ '     ' 'Nombre minimum de points stocks pour les courbes = ' num2str(points_trace)])

disp(' ')


disp('     ---------------------  COEFFICIENTS DE LA REGULATION  ------------------------')

disp('     La simulation comporte 2 couples en parallle, avant calcul des moments magntiques') 

disp('          Action 1 : rgulation de type PD de Laurens avec champ magntique de consigne')

disp([ '            ' 'KPD_laurens= ' num2str(KPD_laurens) ' SI, pour le rappel proportionnel']) 
disp([ '            ' 'FPD_laurens= ' num2str(FPD_laurens) ' SI, pour l''amortissement sur la drive']) 

disp(' ')

disp('          Action 2 :rgulation de type PD sur l''angle de rotation du quaternion')

disp([ '            ' 'KRG= ' num2str(KRG) ' SI, pour le rappel proportionnel  l''angle de rotation']) 
disp([ '            ' 'KFG= ' num2str(KFG) ' SI, pour l''amortissement sur la drive de l''angle de rotation']) 
disp([ '            ' 'gain_pour_essai= ' num2str(gain_pour_essai) ' pour les essais']) 


disp(' ')
disp('     NB : Les coefficients peuvent etre modifis dans le module ddi de la simulation')
disp('        ou directement dans l''espace Matlab')

disp(' ')

disp('     ---------------------  VALEURS INITIALES  ------------------------')

disp([ '     ' 'Angle de roulis = ' num2str(roulis0) ' rd   ' 'Vitesse de roulis = ' num2str(v_roulis0) ' rd/s']) 

disp([ '     ' 'Angle de tangage = ' num2str(tangage0) ' rd   ' 'Vitesse de tangage = ' num2str(v_tangage0) ' rd/s']) 

disp([ '     ' 'Angle de lacet = ' num2str(lacet0) ' rd   ' 'Vitesse de lacet = ' num2str(v_lacet0) ' rd/s']) 

disp(' ')


disp('     ---------------------  FONCTIONNEMENT DE LA ROUE  ------------------------')

disp([ '     ' 'Inertie de la roue J_ROUE= ' num2str(J_ROUE) '  mkg  ']) 

rot_init_tour=rotation_initiale*30/pi;
disp([ '     ' 'Vitesse initiale = ' num2str(rotation_initiale) '  rd/s ou ' num2str(rot_init_tour) ' tours/s']) 

load vit_roue.mat;
rot_finale=vit_roue_rd_s(2,length(vit_roue_rd_s));
rot_fin_tour=rot_finale*30/pi;

disp([ '     ' 'Vitesse finale = ' num2str(rot_finale) '  rd/s ou ' num2str(rot_fin_tour) ' tours/mn']) 

disp([ '     ' 'Rotation maximale = ' num2str(rotation_maximale) '  rd/s ou ' num2str(rot_init_tour) ' tours/s']) 

disp(' ')

disp('     ---------------------  RAPPEL DES CONDITIONS INITIALES  ------------------------')

d1=num2str(etat_init(1));d2=num2str(etat_init(2));d3=num2str(etat_init(3));d4=num2str(etat_init(4));
d5=num2str(etat_init(5));d6=num2str(etat_init(6));d7=num2str(etat_init(7));

disp('     Vecteur  7 composantes initialisant l''intgration par le quaternion d''attitude en repre orbital')
disp(' ')
disp([ '          ' 'etat_init = [' d1 '  '  d2 '  ' d3 '  ' d4 '  ' d5 '  ' d6 '  ' d7 ']']) 
disp(' ')
disp('          Rotation absolue initiale en repre satellite: p=u(1)   q=u(2)  r=u(3)')
disp('          Quaternion d''attitude initiale par rapport au repre orbital:Q =[u(4)  u(5)  u(6)  u(7)]')
disp(' ')

disp(' ')
disp('     ---------------------  RAPPEL DES SEQUENCES DE SYNTHESE  ------------------------')
disp('          De 0  10000 s : "dtumbling- acquisition et mode fin');
disp('          De 10000  14594 s : mise en survie, sans optimiser le temps de basculement de mode');
disp('          De 14594  20668 s : mode fin avec basculement optimis');
disp('          De 20668  26741 s : retour en survie pour exactement une priode, basculement optimis');
disp(' ')
disp('     *********************************  FIN DES SORTIES  ***********************************')

disp('     Le Stop de la simulation est command par 3 conditions simultanes ( fonction AND ) 	:')
disp('       1 - Racine carre de la somme des carrs des angles <  un minimum fix plus haut')
disp('       2 - Angle de rotation du quaternion <  une valeur prcise plus haut')
disp('       3 - Vitesses angulaires infrieures  un seuil prdtermin')
disp(' ')
disp('    **************  Ces seuils peuvent tre supprims ou adapts suivant la mission ****************') 

end


