
function y=laurens2(u);

global KPD_laurens FPD_laurens


% Le vecteur entre est  12 composantes, en colonne
% u(1:3) est le vecteur drive champ magntique B' ( B'x B'y B'z ) en axes satellite
% u(4:6) est le vecteur champ B (Bx By Bz en axes satellite

% u(7:9) est le champ magntique de consigne

% u(10:12) est la drive temporelle du champ de consigne ( B'c )

% La fonction retourne les moments magntiques mx, mz, et le couple roue Cr

% Sparation des vecteurs

B_prime=u(1:3);         % B_prime=B_prime';  % Drive pulse, en colonne

B=u(4:6);               % Champ magntique puls, en colonn

Bc=u(7:9);              % Champ magntique de consigne , en colonne

Bc_prime=u(10:12);      % Drive du champ de consigne, en colonne

% ********  CALCUL DU MOMENT MAGNETIQUE INITIAL  ****************

NB=norm(B);

M_init=(KPD_laurens*Bc+FPD_laurens*(Bc_prime-B_prime))/NB;

% ********  CALCUL DU MOMENT MAGNETIQUE FINAL ECONOMIQUE  ****************

M=M_init-(M_init'*B)*B/NB;    % Sortie du moment magntique en vecteur colonne

y=M;           % Sortie du moment magntique de Laurens initial


end % Fin programme
 