function y=stopderv(u);

global vitesse_rotation vitesse_angul_mini

% Cette fonction retourne une sortie 1 ou 0

%	1 si les vitesses angulaires passent chacune sousle seuil acceptable pour le mode fin
%	0 si une des vitesses angulaires est au dessus du seuil acceptable pour le mode fin

% La valeur 0 arrtera la rgulation

% u est la variable d'entre des vitesses angulaires absolues en rd/s


p=u(1);
q=u(2);
r=u(3);

ecartq=q-vitesse_rotation;

X=[abs(p) abs(ecartq) abs(r)];

ecart_max=max(X);

if ecart_max<=vitesse_angul_mini

    y=1;

else

    y=0;

end

end